# Error Codes

### Table of error code

<table><thead><tr><th width="165.5">Error Code</th><th>Description</th></tr></thead><tbody><tr><td>0</td><td>Payment successful</td></tr><tr><td>1</td><td>Payment failed</td></tr><tr><td>9</td><td>Order is waiting for payment</td></tr><tr><td>18</td><td>Order is cancelled by customer</td></tr><tr><td>19</td><td>"<em>neo_MerchantTxnID</em>"  is duplicated.</td></tr><tr><td>30</td><td>Payment gateway integration information has not been approved</td></tr><tr><td>31</td><td>Invalid  <em>neo_OrderID</em></td></tr><tr><td>32</td><td>Invalid <em>neo_MerchantTxnID</em></td></tr><tr><td>33</td><td>Invalid <em>neo_Amount</em></td></tr><tr><td>34</td><td>Invalid neo_Currency</td></tr><tr><td>35</td><td>Creating a payment link failed because the merchant has not yet allowed payment via international cards</td></tr><tr><td>36</td><td>Payment with token only support for international cards</td></tr><tr><td>37</td><td>Invalid <em>neo_Amount (with</em> decimal for currencies other than VND<em>)</em></td></tr><tr><td>40</td><td>Invalid neo_ExtData</td></tr><tr><td>41</td><td>Invalid neo_ExtData.payItems.orderId</td></tr><tr><td>42 </td><td>The price of total products does not match to the total amount</td></tr><tr><td>43</td><td>Merchant hasn't registed for credit bill holding feature</td></tr><tr><td>51</td><td>Only unprocessed orders can be canceled</td></tr><tr><td>99</td><td>Order is processing.</td></tr><tr><td>-1</td><td>Order is expired</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.neox.vn/docs/v2/payment-gateway/transaction-management/error-codes.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
